## macaulay2 1.25.05+ds

=== debian/changelog ===
macaulay2 (1.25.05+ds-2) experimental; urgency=medium

  * Upload to experimental due to trixie freeze.
  * debian/patches/git-description.patch
    - Properly set git description for new release.
  * debian/patches/skip-failing-package-tests
    - Skip check({5,6}, "Oscillators") on 32-bit architectures.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 15 May 2025 19:41:05 -0400

macaulay2 (1.25.05+ds-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * debian/control
    - Add node-prismjs-bibtex to Build-Depends; now used for syntax
      highlighting citation information in the html documentation.
  * debian/copyright
    - Update copyright holders from Dan Grayson & Mike Stillman to
      "The Macaulay2 Authors", increment the year, and add a Comment
      field regarding the change.
    - Increment my copyright years for the debian directory.
    - Remove license info for removed files (FindMPIR.cmake and gtest.m4).
    - Fix paths for Boost-related m4 files.
    - Add license info for new packages:
      + AllMarkovBases
      + Brackets
      + ConnectionMatrices
      + GameTheory
      + IncidenceCorrespondenceCohomology
      + IntegerProgramming
      + Oscillators
      + ToricHigherDirectImages
  * debian/examples
    - Update cached examples:
      + Macaulay2Doc::listLocalSymbols
      + Macaulay2Doc::locate
      + Macaulay2Doc::the debugger
    - Add new cached examples (known to cause FTBFS issues):
      + SuperLinearAlgebra::superTrace
      + ThreadedGB::ThreadedGB
  * debian/macaulay2-common.install
    - Stop installing make-M2-symbols.m2 script; its functionality is now
      available using the Style package.
  * debian/macaulay2-common.lintian-overrides
    - Remove override for Macaulay2Doc README; file removed.
  * debian/nodejs/extlinks
    - Add prismjs-bibtex; now needed to generate prism.js for html
      documentation.
  * debian/patches/*
    - Refresh for new upstream release.
  * debian/patches/skip-failing-packages-tests.patch
    - Skip several failing tests.
      + check(1, "Cyclotomic") (failing on s390x)
      + check(4, "Oscillators") (failing on 32-bit architectures)
      + check(2, "Topcom") (failing on armhf)
  * debian/rules
    - Drop deprecated --enable-syntax-highlighting configure option.
  * debian/scripts/Debian.m2
    - Raise an error when there was an error generating an example.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 14 May 2025 22:56:57 -0400

=== debian/control ===
Source: macaulay2
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: 4ti2,
               bison,
               cohomcalg,
               coinor-csdp,
               debhelper-compat (= 13),
               dh-linktree,
               emacs-nox,
               fflas-ffpack,
               flex,
               gfan,
               gfortran,
               install-info,
               libboost-dev,
               libboost-math-dev,
               libboost-regex-dev,
               libboost-stacktrace-dev,
               libcdd-dev,
               libeigen3-dev,
               libffi-dev,
               libflint-dev (>= 2.6.0~),
               libfrobby-dev,
               libgc-dev,
               libgdbm-dev,
               libglpk-dev,
               libgtest-dev,
               liblapack-dev,
               liblzma-dev,
               libmathic-dev,
               libmathicgb-dev (>= 1.0~git20220225~),
               libmemtailor-dev,
               libmpfi-dev,
               libmpfr-dev,
               libmps-dev,
               libnauty-dev,
               libnormaliz-dev,
               libntl-dev,
               libreadline-dev,
               libsingular4-dev (>= 1:4.2.0~),
               libtbb-dev,
               libxml2-dev,
               lrslib,
               lsb-release,
               msolve,
               nauty,
               normaliz,
               pkgconf,
               python3-dev <!nopython>,
               r-base,
               singular-data,
               time,
               topcom
Build-Depends-Indep: dh-sequence-elpa,
                     faketime,
                     fonts-glyphicons-halflings,
                     fonts-katex,
                     gdbmtool,
                     jdupes,
                     libjs-bootsidemenu,
                     libjs-bootstrap,
                     libjs-d3,
                     libjs-jquery (>= 3.5.1+dfsg+~3.5.5-4),
                     libjs-katex (>= 0.11.0~),
                     libjs-nouislider,
                     libjs-three,
                     node-clipboard,
                     node-css-loader <!nodoc>,
                     node-import-local <!nodoc>,
                     node-interpret <!nodoc>,
                     node-prismjs <!nodoc>,
                     node-prismjs-bibtex <!nodoc>,
                     node-rechoir <!nodoc>,
                     node-style-loader <!nodoc>,
                     npm <!nodoc>,
                     pkg-js-tools <!nodoc>,
                     webpack <!nodoc>
Standards-Version: 4.7.0
Homepage: http://macaulay2.com
Vcs-Browser: https://salsa.debian.org/math-team/macaulay2
Vcs-Git: https://salsa.debian.org/math-team/macaulay2.git
Rules-Requires-Root: no

Package: macaulay2
Architecture: any
Depends: gdbmtool,
         macaulay2-common (= ${source:Version}),
         normaliz,
         singular-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: 4ti2,
            cohomcalg,
            coinor-csdp,
            elpa-macaulay2 (= ${source:Version}),
            msolve,
            gfan,
            info,
            lrslib,
            nauty,
            texlive-latex-base,
            topcom,
            www-browser,
            xdg-utils,
            xterm
Suggests: bergman,
          dot2tex,
          fig2dev,
          graphviz,
          pdf-viewer,
          phcpack,
          polymake,
          r-base,
          qepcad,
          sdpa
Description: Software system for algebraic geometry research
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the architecture dependent portion of Macaulay2.

Package: macaulay2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software system for algebraic geometry research (common files)
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the architecture independent portion of Macaulay2, and is
 normally installed automatically when one of the architecture dependent
 packages is installed.

Package: elpa-macaulay2
Architecture: all
Multi-Arch: foreign
Section: editors
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Description: Software system for algebraic geometry research (Emacs package)
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the modes for running Macaulay2 within Emacs and
 editing Macaulay2 code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk # for SOURCE_DATE_EPOCH

export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export VERBOSE=1
endif

# needed for reproducible-version.patch
export CURDIR

VERSION := $(shell cat M2/VERSION)

%:
	dh $@ --sourcedirectory=M2 --with linktree

# use exec_prefix instead of prefix in libdir, as that's what's needed
# to properly substitute paths in Layout#2
LIBDIR := \$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

# set emacs lisp file installation directory so that the documentation
# matches where dh_elpa installs them
ELPA_VERSION := $(shell emacs --batch \
	--eval '(require (quote package))' \
	--eval '(princ (package-version-join (version-to-list "$(VERSION)")))' \
	2> /dev/null)
EMACSDIR := \
	\$${prefix}/share/emacs/site-lisp/elpa-src/macaulay2-$(ELPA_VERSION)

WITH_PYTHON := $(if $(filter nopython, $(DEB_BUILD_PROFILES)), --without-python)

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DISABLE_DOCUMENTATION = --disable-documentation
else
DISABLE_DOCUMENTATION := $(if $(shell dh_listpackages -i),,\
	--disable-documentation)
endif

override_dh_auto_configure:
	dh_auto_configure --                \
		--libdir=$(LIBDIR)          \
		--with-emacsdir=$(EMACSDIR) \
		--with-system-memtailor     \
		--with-system-mathic        \
		--with-system-mathicgb      \
		--with-system-gc            \
		LIBS="$(LIBS)"              \
		$(WITH_PYTHON)              \
		$(DISABLE_DOCUMENTATION)
ifeq ($(DISABLE_DOCUMENTATION),)
	dh_auto_configure --buildsystem=nodejs
	mv node_modules M2/Macaulay2/editors/prism
endif

# prevent html-check-links from failing to find KaTeX files before
# they get added by dh_linktree
KATEX_DIR := $(CURDIR)/M2/Macaulay2/packages/Style/katex
KATEX_FILES := $(patsubst %, $(KATEX_DIR)/%, \
	katex.min.css katex.min.js contrib/auto-render.min.js \
	contrib/copy-tex.min.js contrib/render-a11y-string.min.js)

$(KATEX_DIR):
	mkdir -p $@/contrib

$(KATEX_DIR)/%: $(KATEX_DIR)
	touch $@

# copy cached example output files (for examples known to fail on
# various architectures) to source directory
# see generateExamples in debian/scripts/Debian.m2
EXAMPLE_SRC := $(wildcard $(CURDIR)/debian/examples/*)
EXAMPLE_DEST := $(patsubst $(CURDIR)/debian/examples/%, \
	$(CURDIR)/M2/Macaulay2/packages/%/examples, $(EXAMPLE_SRC))

$(CURDIR)/M2/Macaulay2/packages/%/examples: $(CURDIR)/debian/examples/%
	mkdir -p $@
	cp -v $</*.out $@

execute_before_dh_auto_build: $(KATEX_FILES) $(EXAMPLE_DEST)
	touch M2/Macaulay2/packages/Style/prism.js

# since a "test" target exists, dh_auto_test defaults to using that, but
# it just prints the values of some variables.  we want the "check" target
# instead to run the test suite
# related: https://bugs.debian.org/924052
override_dh_auto_test-arch:
	$(MAKE) -C M2 check ArgumentMode="defaultMode - SetUlimit" \
		TLIMIT=unlimited

# create dumps of package documentation databases to ship with macaulay2-common
# and then load during postinst
PKGLIBDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/Macaulay2
PKGDOCDIR := debian/tmp/usr/share/doc/Macaulay2
DB_FILENAME := rawdocumentation-$(if \
	$(filter little, $(DEB_HOST_ARCH_ENDIAN)),dcba,abcd)-$(if \
	$(filter 64, $(DEB_HOST_ARCH_BITS)),8,4).db

DB_FILES = $(wildcard $(PKGLIBDIR)/*/cache/$(DB_FILENAME))
DUMP_FILES = $(DB_FILES:$(PKGLIBDIR)/%/cache/$(DB_FILENAME)=\
	$(PKGDOCDIR)/%/dump/rawdocumentation.dump)

$(PKGDOCDIR)/%/dump/rawdocumentation.dump: $(PKGLIBDIR)/%/cache/$(DB_FILENAME)
	mkdir -p $(dir $@)
# gdbm_load records the path of the database file and the timestamp in the
# dump file, so use a relative path and faketime for reproducibility
	cd $(dir $<) && \
		faketime '@$(SOURCE_DATE_EPOCH)' \
		gdbm_dump $(notdir $<) $(CURDIR)/$@

execute_after_dh_auto_install-indep: $(DUMP_FILES)
	rm -rf $(EXAMPLE_DEST)
	for DIR in $(subst /examples,,$(EXAMPLE_DEST)); \
	do if [ -z "$$(ls -A $$DIR)" ]; then rm -rf $$DIR; fi; \
	done
	rm -rf $(PKGLIBDIR) # remove package documentation database files
	$(MAKE) -C M2/Macaulay2/editors prism/prism.js
	cp M2/Macaulay2/editors/prism/prism.js \
		debian/tmp/usr/share/Macaulay2/Style

# https://github.com/Macaulay2/M2/issues/1144
execute_before_dh_link-indep:
	jdupes -rl debian/macaulay2-common/usr/share/doc/Macaulay2

override_dh_linktree-indep:
	dh_linktree -X.uuid

# example output, package test files, and database dumps must be plain text
override_dh_compress:
	dh_compress -Xexample-output -X.m2 -X.dump

execute_before_dh_elpa: debian/macaulay2-pkg.el

debian/macaulay2-pkg.el: debian/macaulay2-pkg.el.in
	sed -e 's|@VERSION@|$(ELPA_VERSION)|g' $< > $@

# prevent dh_missing from failing when only building arch-dependent packages
execute_before_dh_missing:
	if [ ! -f debian/macaulay2-pkg.el ]; \
	then \
		rm -rf debian/tmp/usr/share/emacs; \
	fi

override_dh_installdeb:
	dh_installdeb --define DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		--define DB_FILENAME=$(DB_FILENAME)

# we use uscan to check for the most recent version, but to create an
# orig tarball, we also need the contents of the M2-emacs submodule,
# so use this target instead of uscan directly
get-orig-source:
	debian/scripts/m2-get-orig-source.sh

## macaulay2 1.25.06%2Bds

=== Macaulay2/bin/CMakeLists.txt ===
###############################################################################
## In this directory we link the object files compiled in the other directories
## to make the executable, "M2-binary". We also make and install the M2 wrapper,
## whose function is to set (DY)LD_LIBRARY_PATH appropriately so that programs
## called by M2-binary can find the shared libraries they need.

# TODO: plenty of Darwin specific linker flags in Makefile.in

## Configure startup.c
configure_file(startup.c.cmake startup.c @ONLY)

###############################################################################
## Generate TAGS file
# TODO: the order is somewhat different, is it a problem?

if(ETAGS)
  set(TAGS TAGS)
  set_source_files_properties(TAGS PROPERTIES GENERATED true)
  add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/TAGS
    COMMENT "Generating bin/TAGS file"
    COMMAND ${ETAGS} -o TAGS timestamp.cpp main.cpp ${CMAKE_CURRENT_BINARY_DIR}/startup.c
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

###############################################################################
## Generate man pages for M2 and M2-binary

configure_file(../man/M2.1.in M2.1 @ONLY)

set(MAN ${M2_DIST_PREFIX}/${M2_INSTALL_MANDIR}/man1/M2.1.gz)
add_custom_command(OUTPUT ${MAN}
  COMMENT "Creating man page for M2 and M2-binary"
  COMMAND gzip -nf9 M2.1
  COMMAND mv M2.1.gz ${M2_DIST_PREFIX}/${M2_INSTALL_MANDIR}/man1/M2.1.gz)

# Creating symlink to prevent lintian binary-without-manpage warning
file(MAKE_DIRECTORY ${M2_DIST_PREFIX}/${M2_INSTALL_MANDIR}/man1)
file(CREATE_LINK M2.1.gz ${M2_DIST_PREFIX}/${M2_INSTALL_MANDIR}/man1/M2-binary.1.gz SYMBOLIC)

# Preview the man page
add_custom_target(man COMMAND zcat ${MAN} | groff -man -Tascii DEPENDS ${MAN})

###############################################################################
## Build M2-binary

add_executable(M2-binary timestamp.cpp main.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/startup.c ${TAGS} ${MAN})

target_compile_options(M2-binary PRIVATE
  $<$<COMPILE_LANG_AND_ID:CXX,AppleClang,Clang>:
  -Wno-mismatched-tags # FIXME: caused by scc1
  >
  )

target_link_libraries(M2-binary
  ${Boost_stacktrace_lib}
  M2-supervisor M2-engine M2-interpreter ${CMAKE_DL_LIBS})

#if we have a usable link time stacktrace library, force boost to use it
if(NOT Boost_stacktrace_header_only)
  target_compile_definitions(M2-binary PUBLIC BOOST_STACKTRACE_LINK)
endif()

# Set where the executable should be store and get its RPATH
set_target_properties(M2-binary PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY ${M2_DIST_PREFIX}/${M2_INSTALL_BINDIR})
get_target_property(INSTALL_RPATH M2-binary INSTALL_RPATH)

# Export the target
install(TARGETS M2-binary EXPORT Macaulay2
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  COMPONENT ALL)

###############################################################################
## After linking, print a list of all shared libraries M2-binary uses

find_program(LDD ldd)
find_program(OTOOL otool)
if(LDD)
  add_custom_command(TARGET M2-binary POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E echo "-- Linked libraries:"
    COMMAND ${SET_LD_LIBRARY_PATH} ${LDD} $<TARGET_FILE:M2-binary>
    COMMAND ${CMAKE_COMMAND} -E echo "-- INSTALL_RPATH: ${INSTALL_RPATH}")
elseif(OTOOL)
  add_custom_command(TARGET M2-binary POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E echo "-- Linked libraries:"
    COMMAND ${SET_LD_LIBRARY_PATH} ${OTOOL} -L $<TARGET_FILE:M2-binary>
    COMMAND ${CMAKE_COMMAND} -E echo "-- INSTALL_RPATH: ${INSTALL_RPATH}")
endif()

# TODO: strip args
# objdump -x M2-binary | grep RPATH
# objcopy --only-keep-debug Macaulay2/bin/M2-binary M2.debug-info
# see https://github.com/Macaulay2/M2/issues/212

###############################################################################
# Build the M2 wrapper, which sets the library path, mainly for normaliz, etc.
# TODO: find a way to make this obsolete

if(APPLE)
  set(EXPORT_STRING [[DYLD_LIBRARY_PATH=`dirname "$0"`/../@CMAKE_INSTALL_LIBDIR@/Macaulay2/lib:$DYLD_LIBRARY_PATH]])
else()
  set(EXPORT_STRING   [[LD_LIBRARY_PATH=`dirname "$0"`/../@CMAKE_INSTALL_LIBDIR@/Macaulay2/lib:$LD_LIBRARY_PATH]])
endif()

string(CONFIGURE "#!/bin/sh\n${EXPORT_STRING} exec `dirname \"$0\"`/M2@EXE@ \"$@\"" M2_CONTENT @ONLY)
file(MAKE_DIRECTORY ${M2_DIST_PREFIX}/${M2_INSTALL_BINDIR})
execute_process(
  COMMAND ${CMAKE_COMMAND} -E echo "${M2_CONTENT}"
  OUTPUT_FILE ${M2_DIST_PREFIX}/${M2_INSTALL_BINDIR}/M2)
execute_process(
  COMMAND chmod +x ${M2_DIST_PREFIX}/${M2_INSTALL_BINDIR}/M2)

=== Macaulay2/editors/CMakeLists.txt ===
###############################################################################
## This directory contains the rules for generating grammar files for editors
## and syntax highlighting engines as well as the M2-mode package for Emacs.
## - M2-editors generates grammar files
## - M2-emacs   generates the M2-mode package for Emacs

# TODO: generate vim grammar
# TODO: generate textmate grammar

set(M2 ${M2_DIST_PREFIX}/${M2_INSTALL_BINDIR}/M2)
set(M2_ARGS --script)

###############################################################################
## Generating the grammar files is mainly done in make-M2-symbols.m2.
## To add to the M2-editors target, add grammar filenames here and in .gitignore.
set(GRAMMAR_FILES
  atom/macaulay2.cson
  highlightjs/macaulay2.js
  prism/macaulay2.js
  pygments/macaulay2.py
#  rouge/macaulay2.rb
  vim/m2.vim.syntax
  vim/m2.vim.dict
  emacs/M2-symbols.el)

set(GRAMMAR_TEMPLATES ${GRAMMAR_FILES})
list(TRANSFORM GRAMMAR_TEMPLATES APPEND ".in")
add_custom_target(M2-editors DEPENDS ${GRAMMAR_FILES})
add_custom_command(OUTPUT ${GRAMMAR_FILES}
  COMMENT "Generating M2 grammar files for editors"
  COMMAND ${M2} ${M2_ARGS} ${CMAKE_CURRENT_SOURCE_DIR}/make-M2-symbols.m2
  MAIN_DEPENDENCY make-M2-symbols.m2
  DEPENDS M2-core ${GRAMMAR_TEMPLATES})

###############################################################################
## Generating the M2-mode package for Emacs

if(NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/emacs/make-M2-emacs-help.m2)
  message(WARNING "Macaulay2/editors/emacs submodule is missing; skipping M2-emacs target")
  return()
endif()

# TODO: only the emacs target is installed in usr-dist by default
set(M2_INSTALL_EMACSDIR
  ${M2_DIST_PREFIX}/${M2_INSTALL_DATAROOTDIR}/emacs/site-lisp/macaulay2)
file(COPY emacs/ DESTINATION ${M2_INSTALL_EMACSDIR}
  FILES_MATCHING PATTERN "M2*" PATTERN "*.in" EXCLUDE)

set(EMACS_FILES M2-emacs-help.txt M2-emacs.m2 M2-symbols.el.gz)
list(TRANSFORM EMACS_FILES PREPEND ${M2_INSTALL_EMACSDIR}/)
add_custom_target(M2-emacs ALL DEPENDS ${EMACS_FILES})
add_custom_command(OUTPUT ${EMACS_FILES}
  COMMENT "Generating Emacs package"
  COMMAND ${M2} ${M2_ARGS} ${CMAKE_CURRENT_SOURCE_DIR}/emacs/make-M2-emacs-help.m2
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/emacs/M2-symbols.el ${M2_INSTALL_EMACSDIR}
  COMMAND gzip -nf9 M2-symbols.el
  # This command updates the generated content in the M2-emacs submodule
  COMMAND ${CMAKE_COMMAND} -E copy M2-emacs-help.txt M2-emacs.m2 M2-symbols.el.gz ${CMAKE_CURRENT_SOURCE_DIR}/emacs
  MAIN_DEPENDENCY emacs/make-M2-emacs-help.m2
  WORKING_DIRECTORY ${M2_INSTALL_EMACSDIR}
  DEPENDS emacs/M2-symbols.el make-M2-symbols.m2)

################################################################################
## Generating prism.js/highlight.js for syntax highlighting in the html
## documentation

set(PRISM_DIR ${CMAKE_CURRENT_BINARY_DIR}/prism)
file(MAKE_DIRECTORY PRISM_DIR)
file(COPY prism/ DESTINATION ${PRISM_DIR}
  FILES_MATCHING PATTERN "*.json" PATTERN "*.js" PATTERN "*.css")

if(NOT NPM)
  return()
endif()

add_custom_target(M2-prism ALL DEPENDS prism/prism.js)
add_custom_command(OUTPUT prism/prism.js
  COMMENT "Generating prism.js syntax file"
  COMMAND ${NPM} install && ${NPM} run build
  WORKING_DIRECTORY ${PRISM_DIR}
  DEPENDS prism/macaulay2.js)

=== BUILD/docker/autotools/Makefile ===
# include this Makefile in other docker Makefiles to add a
# 'build-autotools' target for running the entire autotools build

define M2_BUILD_SCRIPT_autotools
set -xe

git config --global --add safe.directory $(M2_HOME)/M2
mkdir -p M2/$(BUILD_DIR)
cd M2/$(BUILD_DIR)
$(M2_HOME)/M2/M2/autogen.sh
$(M2_HOME)/M2/M2/configure $(CONFIG_OPT)
make
endef
export M2_BUILD_SCRIPT_autotools

build-autotools: build-image
	docker run $(VOLUME) -it --entrypoint="" $(TAG) \
		bash -c "$$M2_BUILD_SCRIPT_autotools"

=== BUILD/docker/testbot/Makefile ===
include ../Makefile

## Parameters
TAG = macaulay2
GHTAG = ghcr.io/macaulay2/testbot:latest

tag:;	docker tag $(TAG) $(GHTAG)
push:;	docker push $(GHTAG)

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libffi-dev,
                libflint-dev (>= 2.6.0~),
                libfrobby-dev,
+               libfplll-dev,
                libgc-dev,
                libgdbm-dev,
                libglpk-dev,
@@ -78,7 +79,7 @@
                      npm <!nodoc>,
                      pkg-js-tools <!nodoc>,
                      webpack <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://macaulay2.com
 Vcs-Browser: https://salsa.debian.org/math-team/macaulay2
 Vcs-Git: https://salsa.debian.org/math-team/macaulay2.git

=== debian/rules ===
--- 
+++ 
@@ -43,13 +43,11 @@
 	dh_auto_configure --                \
 		--libdir=$(LIBDIR)          \
 		--with-emacsdir=$(EMACSDIR) \
-		--with-system-memtailor     \
-		--with-system-mathic        \
-		--with-system-mathicgb      \
-		--with-system-gc            \
+		--with-system-libs          \
 		LIBS="$(LIBS)"              \
 		$(WITH_PYTHON)              \
-		$(DISABLE_DOCUMENTATION)
+		$(DISABLE_DOCUMENTATION)    \
+		--with-fplll
 ifeq ($(DISABLE_DOCUMENTATION),)
 	dh_auto_configure --buildsystem=nodejs
 	mv node_modules M2/Macaulay2/editors/prism
